sudo: true
language: php
php:
  - 5.4
  - 5.5
  - 5.6
  - 7.0
  - hhvm
env:
  global:
    - JAVA_HOME="/usr/lib/jvm/java-8-oracle/jre" ES_VERSION="2.4" ELASTICSEARH_PHP="~2.0"
matrix:
  allow_failures:
    - php: hhvm
install:
  # Container based PHP image ues PHP 5.6.5, once it will be upgraded sudo will be not necessary
  - sudo apt-get install -y oracle-java8-set-default
  - ES_URL=$(curl -sS "https://esvm-props.kibana.rocks/builds" | jq -r ".branches[\"$ES_VERSION\"].zip")
  - curl -L -o elasticsearch.zip $ES_URL
  - unzip elasticsearch.zip
  - ./elasticsearch-*/bin/elasticsearch -d
before_script:
  - composer require --no-update elasticsearch/elasticsearch:${ELASTICSEARH_PHP}
  - composer config -g github-oauth.github.com $GITHUB_COMPOSER_AUTH
  - composer install --no-interaction --prefer-dist
script:
  - vendor/bin/phpunit --coverage-clover=coverage.clover
  - vendor/bin/phpcs -p --standard=PSR2 --ignore=vendor/ ./
after_script:
  - vendor/bin/coveralls
